import math

def radianes(angulo):
	return math.pi*angulo/180

def altura(lado1, lado2, angulo):
	anguloEnRadianes = radianes(angulo)
	return lado1 * math.sin(anguloEnRadianes)

def lado3(lado1, lado2, angulo):
	anguloEnRadianes = radianes(angulo)
	return math.sqrt(lado1**2 + lado2**2 - 2*lado1*lado2*math.cos(anguloEnRadianes))

def perimetro(lado1, lado2, angulo):
	return lado1 + lado2 + lado3(lado1, lado2, angulo)

def area(lado1, lado2, angulo):
	return 0.5 * lado2 * altura(lado1, lado2, angulo)

lado1 = input("Ingrese valor del primer lado: ")
lado2 = input("Ingrese valor del segundo lado: ")
angulo = input("Ingrese valor del angulo [0 - 90]: ")

print "El perimetro del triangulo es: ", perimetro(lado1, lado2, angulo)
print "El area del triangulo es: ", area(lado1, lado2, angulo)